xpra icon
Bug tracker and wiki

Opened 6 years ago

Closed 6 years ago

#506 closed defect (fixed)

xpra v0.11.0 fails to start on CentOS 6 with threads_init error

Reported by: sciurus Owned by: Antoine Martin
Priority: major Milestone:
Component: server Version:
Keywords: Cc:

Description

After upgrading, xpra failed to start. I had to downgrade from v0.11.0 to v0.10.12, both installed from the winswitch yum repo, to get it to work again. Below is the lightly sanitized log.

2014-01-23 16:24:44,004 failed to load the mdns avahi publisher: No module named avahi
2014-01-23 16:24:44,004 either fix your installation or use the '--no-mdns' flag

X.Org X Server 1.13.0
Release Date: 2012-09-05
X Protocol Version 11, Revision 0
Build Operating System: c6b9 2.6.32-220.el6.x86_64 
Current Operating System: Linux example.com 2.6.32-431.1.2.0.1.el6.x86_64 #1 SMP Fri Dec 13 13:06:13 UTC 2013 x86_64
Kernel command line: ro root=UUID=a2f4f9d4-2262-4855-b08f-ecfcae5fbe59 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us crashkernel=128M rhgb quiet rdblacklist=nouveau nouveau.modeset=0
Build Date: 20 December 2013  12:09:45PM
Build ID: xorg-x11-server 1.13.0-23.1.el6.centos 
Current version of pixman: 0.26.2
    Before reporting problems, check http://wiki.centos.org/Documentation
    to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/home/sciurus/.xpra/Xorg.:321.log", Time: Thu Jan 23 16:24:44 2014
(++) Using config file: "/etc/xpra/xorg.conf"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension SECURITY
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension SELinux
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
Loading extension GLX
Traceback (most recent call last):
  File "/usr/bin/xpra", line 6, in <module>
    sys.exit(xpra.scripts.main.main(__file__, sys.argv))
  File "/usr/lib/python2.6/site-packages/xpra/scripts/main.py", line 66, in main
    return run_mode(script_file, parser, options, args, mode)
  File "/usr/lib/python2.6/site-packages/xpra/scripts/main.py", line 492, in run_mode
    return run_server(parser, options, mode, script_file, args)
  File "/usr/lib/python2.6/site-packages/xpra/scripts/server.py", line 654, in run_server
    display = verify_display_ready(xvfb, display_name, shadowing)
  File "/usr/lib/python2.6/site-packages/xpra/scripts/server.py", line 515, in verify_display_ready
    glib.threads_init()
AttributeError: 'module' object has no attribute 'threads_init'
2014-01-23 16:24:44,331 removing socket /home/sciurus/.xpra/example.com-321

Change History (2)

comment:1 Changed 6 years ago by Antoine Martin

Owner: changed from Antoine Martin to Antoine Martin
Status: newassigned

Should be fixed in r5292, will backport.

comment:2 Changed 6 years ago by Antoine Martin

Resolution: fixed
Status: assignedclosed

Backport in r5294 tested on CentOS 6.5, will be included in xpra 0.11.2, closing.

Note: See TracTickets for help on using tickets.